# $Revision: 1.4 $, $Date: 2010/10/15 10:08:17 $
%include        /usr/lib/rpm/macros.perl
Summary:	Supervising process for Exim's queue runners
Name:		eximq
# look into eximq.pl
Version:	0.4
# date of eximq file edit
Release:	0.20041227.1
License:	GPL
Group:		Applications/Mail
# see homepage
Source0:	%{name}.pl
Source1:	%{name}.args
Source2:	%{name}.init
URL:		http://eximconf.alioth.debian.org/
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	exim >= 2:4.00
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description

%prep
%setup -q -T -c

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,mail},%{_sbindir},/var/run/eximq}

install %{SOURCE0} $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mail/eximq.args
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/eximq.pl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/%{name}.args
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,exim,root) /var/run/eximq

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eximq.spec,v $
Revision 1.4  2010/10/15 10:08:17  arekm
- ver 0.4

Revision 1.3  2010/10/15 10:00:56  arekm
- we have exim4 only

Revision 1.2  2010/10/15 09:57:48  arekm
- use /var/run/eximq for pid files

Revision 1.1  2010/10/15 09:50:56  arekm
- initial; exim queue supervisor


